These are chat archives for typesafehub/activator

8th
Oct 2015
Mike Slinn
@mslinn
Oct 08 2015 17:34
Does activator bundle the eclipse task? I thought it did, but I tested v1.3.6 on Linux and Windows and did not find the eclipse task
James Ward
@jamesward
Oct 08 2015 17:35
I think maybe the Activator UI shims it in. And maybe the Play plugin still brings it in as well.
Mike Slinn
@mslinn
Oct 08 2015 17:40
Immediately after downloading, running 'activator eclipse' results in 'Not a valid command'. If I run 'activator ui' and then use the web page to make an eclipse project, 'activator eclipse' becomes available
that is weird. activator did not used to work that way
... and that happens because activator writes project/eclipse.sbt when the UI runs
.. which means 'sbt eclipse' works as well. Previously, eclipse.sbt was bundled with activator itself
James Ward
@jamesward
Oct 08 2015 17:44
Yeah, the UI is what creates the shims. The whole shim thing is pretty funky. I think there was a plan at some point to fix that.
Mike Slinn
@mslinn
Oct 08 2015 17:44
I'll update the lecture notes for the Intro to Play course
James Ward
@jamesward
Oct 08 2015 17:45
Does the Scala Eclipse Plugin have the ability to create an Eclipse project from an sbt build yet? Really this should be an IDE thing, not a build thing.
Mike Slinn
@mslinn
Oct 08 2015 17:45
yes, it should, but no, it does not
James Ward
@jamesward
Oct 08 2015 17:46
That is unfortunate. I wonder if there is a CLI way to create the shims.
Mike Slinn
@mslinn
Oct 08 2015 17:46
Working on that right now :)
James Ward
@jamesward
Oct 08 2015 17:46
Alternatively you could create your own template that has the Eclipse sbt plugin in it.
Mike Slinn
@mslinn
Oct 08 2015 17:47
James Ward
@jamesward
Oct 08 2015 17:47
Does the Play plugin no longer have the sbt eclipse plugin in it?
Mike Slinn
@mslinn
Oct 08 2015 17:47
I don't think so
James Ward
@jamesward
Oct 08 2015 17:49
Yeah, looks like they removed it.
Mike Slinn
@mslinn
Oct 08 2015 17:49
quietly. Can't find any mention of the change
James Ward
@jamesward
Oct 08 2015 17:49
So just add the sbt plugin to your template.
Mike Slinn
@mslinn
Oct 08 2015 17:49
Changing the course notes too
Mike Slinn
@mslinn
Oct 08 2015 17:50
missed that
just noticed that activator uses sbteclipse v2.5.0 but 4.0.0 is current. Sheesh!
James Ward
@jamesward
Oct 08 2015 17:52
Ouch. That is very out-of-date.